package com.kingdee.eas.custom.dormitorysystem.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.dormitorysystem.task.*;

public class DormitorysystemFacade extends AbstractBizCtrl implements IDormitorysystemFacade
{
    public DormitorysystemFacade()
    {
        super();
        registerInterface(IDormitorysystemFacade.class, this);
    }
    public DormitorysystemFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IDormitorysystemFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("5DE95217");
    }
    private DormitorysystemFacadeController getController() throws BOSException
    {
        return (DormitorysystemFacadeController)getBizController();
    }
    /**
     *更新宿舍已入住人数-User defined method
     */
    public void updateDormCheckInCount() throws BOSException, EASBizException
    {
        try {
            getController().updateDormCheckInCount(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}